package com.cooleshow.teacher.adapter;

import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.viewholder.BaseViewHolder;
import com.common.im.bean.ContactRoomListBean;
import com.cooleshow.base.utils.GlideUtils;
import com.cooleshow.teacher.R;
import com.cooleshow.teacher.bean.TeacherSelfStyleInfoBean;

import androidx.annotation.NonNull;

/**
 * Author by pq, Date on 2022/5/10.
 */
public class MineStyleFansGroupListAdapter extends BaseQuickAdapter<ContactRoomListBean, BaseViewHolder> {
    public MineStyleFansGroupListAdapter() {
        super(R.layout.item_mine_style_fans_group_layout);
    }

    @Override
    protected void convert(@NonNull BaseViewHolder holder, ContactRoomListBean bean) {
        if (bean == null) {
            return;
        }
        holder.setText(R.id.group_name, bean.getName());
        holder.setText(R.id.group_desc, bean.getIntroduce());
        GlideUtils.INSTANCE.loadImage(getContext(), bean.getImg(), holder.getView(R.id.group_aver), R.drawable.icon_group_fans);
    }
}
